<!-- 
    proposito: Crear la vista del componente para mostrar grupos
    Autor: Luisa.sanchez
 -->
<div class="container-fluid h-100 w-100">
    <div class="row">
        <!-- Inicio: cabecera del contenedor -->
        <div class="col-12 bg-sections border-sections pt-3 pb-3 mb-3">
            <div class="row">
                <!-- Inicio: guia de ruta -->
                <div class="col-10">
                    <span class="h3 text-menu header-weight pl-2">Grupos</span>
                </div>
                <!-- Fin: guia de ruta -->
            </div>
        </div>
        <!-- Fin: cabecera del contenedor -->
        <!-- Inicio: contenedor de tabla -->
        <div class="col-12 bg-sections border-sections w-100">
            <!-- Inicio: tabla de clientes -->
            <table mat-table [dataSource]="dataSourceGrupos" multiTemplateDataRows class="w-100" aria-describedby="tabla grupos">
                <!-- Inicio: campos de tabla -->

                <ng-container matColumnDef="idGrupo">
                    <th id="idGrupo" class=" pl-4 header-table h4" mat-header-cell *matHeaderCellDef>Id Grupo </th>
                    <td mat-cell *matCellDef="let element" class="pl-4 ">
                        <span class="">{{element.id}}</span>
                    </td>
                </ng-container>

                <ng-container matColumnDef="nombre" class="">
                    <th id="nombre" class=" pl-5 header-table h4" mat-header-cell *matHeaderCellDef> Nombre de grupo </th>
                    <td mat-cell *matCellDef="let element" class="pl-5 ">
                        {{element.nombre}}
                    </td>
                </ng-container>

                <!-- Inicio: campos de accion -->
                <ng-container matColumnDef="detalles">
                    <th mat-header-cell *matHeaderCellDef id="detalles" class=" header-table h4">Acciones</th>
                    <td mat-cell *matCellDef="let element" class="text-center">

                        <!--Inicio: botones accion -->
                        <div class="w-100">
                            <ng-container>
                                <div class="linea">
                                    <button mat-button [routerLink]="['/groups/', element.id]" class="standar-table-button h4" data-toggle="tooltip" data-placement="bottom" title="Ver grupo">
                                    <i class="fa fa-info-circle" aria-hidden="true"></i>
                                </button>
                                </div>
                            </ng-container>
                        </div>
                        <!--Fin: botones accion -->
                    </td>
                </ng-container>
                <!-- Fin: campos de accion -->


                <!-- Fin: campos de tabla -->

                <tr mat-header-row *matHeaderRowDef="columnasTablaGrupos"></tr>
                <tr mat-row *matRowDef="let element; columns: columnasTablaGrupos;"></tr>
            </table>

            <!-- Fin: tabla de clientes -->
            <!-- Inicio: paginador de tabla clientes -->
            <mat-paginator #tablaPadrePaginator="matPaginator" [length]="resultsLength" [pageSizeOptions]="[20]" showFirstLastButtons></mat-paginator>
            <!-- Fin: paginador de tabla clientes -->
        </div>
        <!-- Fin: contenedor de tabla -->
    </div>
</div>